import { AxiosInstance, AxiosRequestConfig } from 'axios';
declare module 'axios' {
    interface AxiosRequestConfig {
        meta?: Record<string, any>;
        logRequest?: boolean;
        logResponse?: boolean;
    }
}
export declare function createApi(axiosConfig?: Omit<AxiosRequestConfig, "meta">): AxiosInstance;
